import { OnDestroy, OnInit } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { InjectableControl } from './injectable-control.model';
import * as i0 from "@angular/core";
export declare class InjectControlDirective implements OnInit, OnDestroy {
    private readonly controlContainer;
    private readonly host;
    constructor(controlContainer: ControlContainer, host: InjectableControl);
    readonly injectControl: string;
    set disabled(isDisabled: boolean);
    private originalControl?;
    /**
     * TODO: Use on changes instead and support a case where the input can be
     * changed, similar to how FormControlName and FormControlDirective work.
     */
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InjectControlDirective, [null, { host: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InjectControlDirective, "[injectControl]", never, { "injectControl": "injectControl"; "disabled": "disabled"; }, {}, never>;
}
