import { forwardRef, InjectionToken } from '@angular/core';
export const NG_INJECTABLE_CONTROL = new InjectionToken('ng-injectable-control');
export function injectableControlProvider(type) {
    return {
        provide: NG_INJECTABLE_CONTROL,
        useExisting: forwardRef(() => type),
    };
}
//# sourceMappingURL=injectable-control.token.js.map